package remotestocks;

// This class is a client of the StockQuoteServer. It acts as a
// server too, since the StockQuoteServer invokes the update method
// in this object.

public class StockQuoter
implements StockQuoteClientServant
{
	public StockQuoter()
	{
	}

// When we receive a stock quote, just print out the information

	public void quote(StockQuote stockQuote)
	{
		System.out.println(stockQuote.stock+": "+stockQuote.amount+
			"("+stockQuote.change+")");
	}

	public static void main(String[] args)
	{
// Always use a security manager for RMI.

		try {

// Get a stub to the stock quoting system
			StockQuoteServerRef server = StockQuoteServerStub.
				createRef();
			sunw.corba.Orb.resolve(
				"idl:sunw.door://contessa:5150/StockQuotes",
				server);

// Create an instance of this object to receive the incoming stock quotes
			StockQuoter quoterImpl = new StockQuoter();
			StockQuoteClientRef quoter = StockQuoteClientSkeleton.
				createRef(quoterImpl);

// Get a list of all the stock we can watch
			String[] stocks = server.getStockList().stocks;

// Subscribe to each stock
			for (int i=0; i < stocks.length; i++) {
				System.out.println("Adding watch for stock "+stocks[i]);
				server.addWatch(quoter, stocks[i]);
			}

		} catch (Exception e) {
			System.out.println("Got exception: "+e);
			e.printStackTrace();
		}
	}
}
