import banking.*;

// This program tries out some of the methods in the BankingImpl
// remote object.

public class BankingClient
{

	public static void main(String args[])
	{

// Create an Account object for the account we are going to access.

		Account myAccount = new Account(
			"AA1234", "1017", AccountType.CHECKING);

		AccountInfo myAccountInfo = myAccount.toAccountInfo();
		try {

// Get a stub for the BankingImpl object

			BankingRef bank = BankingStub.createRef();
			sunw.corba.Orb.resolve(
				"idl:sunw.door://contessa:5150/Bank",
				bank);

// Check the initial balance
			System.out.println("My balance is: "+
				bank.getBalance(myAccountInfo));

// Deposit some money
			bank.deposit(myAccountInfo, 50000);

// Check the balance again
			System.out.println("Deposited $500.00, balance is: "+
				bank.getBalance(myAccountInfo));

// Withdraw some money
			bank.withdraw(myAccountInfo, 25000);

// Check the balance again
			System.out.println("Withdrew $250.00, balance is: "+
				bank.getBalance(myAccountInfo));

			System.out.flush();
			System.exit(0);

		} catch (Exception e) {
			System.out.println("Got exception: "+e);
			e.printStackTrace();
		}
	}
}
