package banking;

// This class contains the information that defines
// a banking account.

public class Account extends Object
{
// Flags to indicate whether the account is savings or checking
	public String id;	// Account id, or account number
	public String password;	// password for ATM transactions
	public int which;	// is this checking or savings

	public Account()
	{
	}

	public Account(String id, String password, int which)
	{
		this.id = id;
		this.password = password;
		this.which = which;
	}

// Allow this object to be created from an AccountInfo instance

	public Account(AccountInfo acct)
	{
		this.id = acct.id;
		this.password = acct.password;
		this.which = acct.which;
	}

// Convert this object to an AccountInfo instance

	public AccountInfo toAccountInfo()
	{
		return new AccountInfo(id, password, which);
	}

	public String toString()
	{
		return "Account { "+id+","+password+","+which+" }";
	}

// Tests equality between accounts.
	public boolean equals(Object ob)
	{
		if (!(ob instanceof Account)) return false;
		Account other = (Account) ob;

		return id.equals(other.id) &&
			password.equals(other.password) &&
			(which == other.which);
	}

// Returns a hash code for this object

	public int hashCode()
	{
		return id.hashCode()+password.hashCode()+which;
	}
}
